Skip to main content
POST
/
campaigns
/
{campaignId}
/
rows
Add campaign rows
curl --request POST \
  --url https://api.getarbol.com/v1/campaigns/{campaignId}/rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rows": [
    {
      "telephone": "<string>",
      "givenName": "<string>",
      "familyName": "<string>",
      "email": "<string>",
      "firstMessage": "<string>",
      "variables": {}
    }
  ]
}
'
import requests

url = "https://api.getarbol.com/v1/campaigns/{campaignId}/rows"

payload = { "rows": [
        {
            "telephone": "<string>",
            "givenName": "<string>",
            "familyName": "<string>",
            "email": "<string>",
            "firstMessage": "<string>",
            "variables": {}
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    rows: [
      {
        telephone: '<string>',
        givenName: '<string>',
        familyName: '<string>',
        email: '<string>',
        firstMessage: '<string>',
        variables: {}
      }
    ]
  })
};

fetch('https://api.getarbol.com/v1/campaigns/{campaignId}/rows', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "requestId": "<string>"
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "requestId": "<string>"
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Use your API key from the Arbol dashboard. Go to Settings > API Keys to generate one.

Path Parameters

campaignId
string
required

Campaign ID (cmp_ prefix)

Body

application/json
rows
object[]
required
Required array length: 1 - 1000 elements

Response

Rows added